Loading...
Searching...
No Matches
Opm::TwoPhaseLETCurvesParams< TraitsT > Class Template Reference

Specification of the material parameters for the LET constitutive relations. More...

`#include <TwoPhaseLETCurvesParams.hpp>`

Inheritance diagram for Opm::TwoPhaseLETCurvesParams< TraitsT >:

## Public Types

using | Traits = TraitsT

## Public Member Functions

void | finalize ()
| Calculate all dependent quantities once the independent quantities of the parameter object have been set.
Scalar | Smin (const unsigned phaseIdx) const
| Returns the Smin_ parameter.
Scalar | dS (const unsigned phaseIdx) const
| Returns the dS_ parameter.
Scalar | Sminpc () const
| Returns the Epc_ parameter.
Scalar | dSpc () const
| Returns the Epc_ parameter.
Scalar | L (const unsigned phaseIdx) const
| Returns the L_ parameter.
Scalar | E (const unsigned phaseIdx) const
| Returns the E_ parameter.
Scalar | T (const unsigned phaseIdx) const
| Returns the T_ parameter.
Scalar | Krt (const unsigned phaseIdx) const
| Returns the Krt_ parameter.
Scalar | Lpc () const
| Returns the Lpc_ parameter.
Scalar | Epc () const
| Returns the Epc_ parameter.
Scalar | Tpc () const
| Returns the Tpc_ parameter.
Scalar | Pcir () const
| Returns the Pcir_ parameter.
Scalar | Pct () const
| Returns the Pct_ parameter.
template<class Container>
void | setKrwSamples (const Container &letProp, const Container &)
| Set the LET-related parameters for the relative permeability curve of the wetting phase.
template<class Container>
void | setKrnSamples (const Container &letProp, const Container &)
| Set the LET-related parameters for the relative permeability curve of the non-wetting phase.
template<class Container>
void | setPcnwSamples (const Container &letProp, const Container &)
| Set the LET-related parameters for the capillary pressure curve of the non-wetting phase.
Public Member Functions inherited from Opm::EnsureFinalized
OPM_HOST_DEVICE void | finalize ()
| Mark the object as finalized.

## Static Public Attributes

static constexpr int | wIdx = 0
static constexpr int | nwIdx = 1

## Additional Inherited Members

Protected Member Functions inherited from Opm::EnsureFinalized
OPM_HOST_DEVICE | EnsureFinalized ()
| The default constructor.
OPM_HOST_DEVICE void | check () const

## Detailed Description

template<class TraitsT>
class Opm::TwoPhaseLETCurvesParams< TraitsT >

Specification of the material parameters for the LET constitutive relations.

See also
  TwoPhaseLETCurves

## Member Function Documentation

## setKrnSamples()

template<class TraitsT>
template<class Container>

void Opm::TwoPhaseLETCurvesParams< TraitsT >::setKrnSamples | ( | const Container & | letProp,
|  | const Container & | )

inline

Set the LET-related parameters for the relative permeability curve of the non-wetting phase.

Dummy argument to align interface with class PiecewiseLinearTwoPhaseMaterialParams.

## setKrwSamples()

template<class TraitsT>
template<class Container>

void Opm::TwoPhaseLETCurvesParams< TraitsT >::setKrwSamples | ( | const Container & | letProp,
|  | const Container & | )

inline

Set the LET-related parameters for the relative permeability curve of the wetting phase.

Dummy argument to align interface with class PiecewiseLinearTwoPhaseMaterialParams.

## setPcnwSamples()

template<class TraitsT>
template<class Container>

void Opm::TwoPhaseLETCurvesParams< TraitsT >::setPcnwSamples | ( | const Container & | letProp,
|  | const Container & | )

inline

Set the LET-related parameters for the capillary pressure curve of the non-wetting phase.

Dummy argument to align interface with class PiecewiseLinearTwoPhaseMaterialParams.

The documentation for this class was generated from the following file:

- opm/material/fluidmatrixinteractions/TwoPhaseLETCurvesParams.hpp